package com.xinelu.manage.service.phonedialrecord;

import com.xinelu.common.core.domain.AjaxResult;
import com.xinelu.manage.domain.phonedialrecord.PhoneDialRecord;
import com.xinelu.manage.vo.phonedialrecord.BillPhoneDialVo;

import java.util.List;

/**
 * 电话拨打记录Service接口
 *
 * @author xinelu
 * @date 2024-07-29
 */
public interface IPhoneDialRecordService {
    /**
     * 查询电话拨打记录
     *
     * @param id 电话拨打记录主键
     * @return 电话拨打记录
     */
    PhoneDialRecord selectPhoneDialRecordById(Long id);

    /**
     * 查询电话拨打记录列表
     *
     * @param phoneDialRecord 电话拨打记录
     * @return 电话拨打记录集合
     */
    List<BillPhoneDialVo> selectPhoneDialRecordList(BillPhoneDialVo phoneDialRecord);

    /**
     * 新增电话拨打记录
     *
     * @param phoneDialRecord 电话拨打记录
     * @return 结果
     */
    int insertPhoneDialRecord(PhoneDialRecord phoneDialRecord);

    /**
     * 修改电话拨打记录
     *
     * @param phoneDialRecord 电话拨打记录
     * @return 结果
     */
    int updatePhoneDialRecord(PhoneDialRecord phoneDialRecord);

    /**
     * 批量删除电话拨打记录
     *
     * @param ids 需要删除的电话拨打记录主键集合
     * @return 结果
     */
    int deletePhoneDialRecordByIds(Long[] ids);

    /**
     * 删除电话拨打记录信息
     *
     * @param id 电话拨打记录主键
     * @return 结果
     */
    int deletePhoneDialRecordById(Long id);

    /**
     * 电话推送统计
     */
    AjaxResult phoneCount();
}
